Lagging behind GeoHot, as usual, the Dev-Team has finally released PwnageTool 3.1.4 which can now jailbreak iPhone OS 3.1.2.

SUMMARY:

  • The iPhone 3GS is now supported out of the box in PwnageTool 3.1.4 (or if you have upgraded to 3.1.x in iTunes)
  • The iPod 2G is still supported in PwnageTool 3.1.4 but you must already be jailbroken (we’ll update this if there’s a big demand from non-jailbroken ipt2G owners)
  • The iPod touch 3G is NOT supported

     Also make sure you are getting your ECID hashes from the new firmware just in case the security holes are patched in the future. The Dev-Team also states that if you update through iTunes to firmware 3.1.2 you will lose your unlock and they have no ETA as to when a fix will be available. It is strongly recommended that if you are planning on upgrading you use the PwnageTool or risk losing your unauthorized carrier. Also if you upgrade past 3.9, and you are currently using internet tethering by an unauthorized carrier, you will lose that ability until a new hack is produced.

     The Dev-Team also made a comment to those who already used blackra1n, “For the early adopters who ran blackra1n and are having problems with mobilesubstrate, winterboard, diskaid, or ifunbox, you can install a custom .ipsw from PwnageTool to fix these issues. That’s because all jailbroken devices accept a custom .ipsw created by PwnageTool. (However, if you ran blackra1n on a 3G or 3GS that means you updated to stock 3.1.x, and the carrier unlock is now out of reach. We’ll continue to work on a carrier unlock for the latest basebands, but the timeframe for such an unlock is unknowable.)